KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubectl config current-context - Display the current-context

SYNOPSIS

kubectl config current-context [OPTIONS]

DESCRIPTION

Display the current-context.

OPTIONS INHERITED FROM PARENT COMMANDS

--as=""
    Username to impersonate for the operation. User could be a regular user or a service account in a namespace.

--as-group=[]
    Group to impersonate for the operation, this flag can be repeated to specify multiple groups.

--as-uid=""
    UID to impersonate for the operation.

--cache-dir="/home/username/.kube/cache"
    Default cache directory

--certificate-authority=""
    Path to a cert file for the certificate authority

--client-certificate=""
    Path to a client certificate file for TLS

--client-key=""
    Path to a client key file for TLS

--cluster=""
    The name of the kubeconfig cluster to use

--context=""
    The name of the kubeconfig context to use

--disable-compression=false
    If true, opt-out of response compression for all requests to the server

--insecure-skip-tls-verify=false
    If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure

--kubeconfig=""
    use a particular kubeconfig file

--match-server-version=false
    Require server version to match client version

-n, --namespace=""
    If present, the namespace scope for this CLI request

--password=""
    Password for basic authentication to the API server

--profile="none"
    Name of profile to capture. One of (none|cpu|heap|goroutine|threadcreate|block|mutex)

--profile-output="profile.pprof"
    Name of the file to write the profile to

--request-timeout="0"
    The length of time to wait before giving up on a single server request. Non-zero values should contain a corresponding time unit (e.g. 1s, 2m, 3h). A value of zero means don't timeout requests.

-s, --server=""
    The address and port of the Kubernetes API server

--tls-server-name=""
    Server name to use for server certificate validation. If it is not provided, the hostname used to contact the server is used

--token=""
    Bearer token for authentication to the API server

--user=""
    The name of the kubeconfig user to use

--username=""
    Username for basic authentication to the API server

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

--warnings-as-errors=false
    Treat warnings received from the server as errors and exit with a non-zero exit code

EXAMPLE
      # Display the current-context
      kubectl config current-context

SEE ALSO

kubectl-config(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!